Bug 353051 - don't package main esound package
don't package main esound package
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 15:24 EDT by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.38-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-26 11:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-25 15:24:18 EDT
Description of problem:

If we're obsoleteing the daemon with pulseaudio-esound-compat, shouldn't
we just not package the main esound package (empty %files), and just
leave -libs, etc?

Version-Release number of selected component (if applicable):


Additional info:

I suppose if we do this we should move COPYING, etc. to -libs.
Comment 1 Bastien Nocera 2007-10-26 09:56:51 EDT
An empty package wouldn't be too good for users/upgrades.

Is there a way to completely disable building the main package, and only get the
Comment 2 Matthias Clasen 2007-10-26 11:00:48 EDT
you could rename the main package to esound-libs; you'd probably have to do some
tweaking to get the dependencies right, I guess.
Comment 3 Bill Nottingham 2007-10-26 11:33:22 EDT
If there's no %files section, it won't build it.
Comment 4 Bastien Nocera 2007-10-26 11:44:51 EDT
Fixed in esound-0.2.38-6.fc9

Note You need to log in before you can comment on or make changes to this bug.